> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the withdrawal history of funds

> Retrieve the withdrawal history of funds, applicable to top-up accounts only



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/card_accounts/{cardAccountID}/withdrawals
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/card_accounts/{cardAccountID}/withdrawals:
    get:
      tags:
        - Cards
      summary: Retrieve the withdrawal history of funds
      description: >-
        Retrieve the withdrawal history of funds, applicable to top-up accounts
        only
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/CardAccountIDParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/WithdrawalStartingAfterParameter'
        - $ref: '#/components/parameters/WithdrawalEndingBeforeParameter'
      responses:
        '200':
          description: The withdrawal history
          content:
            application/json:
              schema:
                title: List of withdrawals
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    type: integer
                    description: The number of withdrawals returned
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/CardWithdrawal'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    CardAccountIDParameter:
      name: cardAccountID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    WithdrawalStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is a withdrawal id. If this is specified, the next page that starts
        with a withdrawal right AFTER the specified id on the timeline, which is
        always ordered from the newest to the oldest by creation time, will be
        returned. This also implies that withdrawals older than the specified id
        will be returned (shouldn't be set if `ending_before` is set)
    WithdrawalEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is a withdrawal id. If this is specified, the previous page that
        ends with a withdrawal right BEFORE the specified id on the timeline,
        which is always ordered from the newest to the oldest by creation time,
        will be returned. This also implies that withdrawals newer than the
        specified id will be returned (shouldn't be set if `starting_after` is
        set)
  schemas:
    CardWithdrawal:
      description: A card funds withdrawal
      required:
        - id
        - card_account_id
        - customer_id
        - amount
        - currency
        - destination
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: ID of the withdrawal
          readOnly: true
        card_account_id:
          $ref: '#/components/schemas/Id'
          description: ID of the card account associated with the withdrawal
          readOnly: true
        customer_id:
          $ref: '#/components/schemas/Id'
          description: ID of the customer who owns the card account
          readOnly: true
        amount:
          type: string
          description: The amount represented as a decimal string
        type:
          type: string
          description: The type of the withdrawal. Defaults to `top_up_balance_withdrawal`.
          enum:
            - top_up_balance_withdrawal
            - fee
        currency:
          $ref: '#/components/schemas/CardsCryptoCurrency'
          description: >-
            The currency of the withdrawal, which is the crypto currency on the
            card account
          readOnly: true
        destination:
          $ref: '#/components/schemas/CardWithdrawalDestination'
        client_note:
          type: string
          description: An optional client-provided note for the withdrawal
        created_at:
          type: string
          description: Timestamp when the withdrawal was created, in ISO8601 format
          readOnly: true
        updated_at:
          type: string
          description: Timestamp when the withdrawal was last updated, in ISO8601 format
          readOnly: true
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    CardsCryptoCurrency:
      type: string
      enum:
        - usdc
    CardWithdrawalDestination:
      required:
        - chain
        - address
      properties:
        chain:
          type: string
          description: >-
            The chain of the wallet the withdrawn crypto funds should be
            transferred to
        address:
          type: string
          description: >-
            The address of the wallet the withdrawn crypto funds should be
            transferred to
        memo:
          type: string
          description: >-
            The memo to attach to the withdrawal transaction. Will be
            transmitted for blockchains that support memos only.
        tx_hash:
          type: string
          description: >-
            The crypto transaction hash for the withdrawal once it's confirmed
            on the chain
          readOnly: true
        gas_fee:
          $ref: '#/components/schemas/GasFee'
          description: >-
            The gas fee for the withdrawal transaction. Note that this is the
            representation of the native gas fee of the onchain transaction,
            which may be different from the fiat-converted gas fee charged on
            the invoice.
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    GasFee:
      description: The gas fee for a crypto transaction
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: The amount of the gas fee represented as a decimal string
          readOnly: true
        currency:
          type: string
          description: The currency of the gas fee.
          readOnly: true
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````